gsw_chem_potential_water_ice {gsw} | R Documentation

## Chemical Potential of Ice

### Description

Chemical Potential of Ice

### Usage

    gsw_chem_potential_water_ice(t, p)

### Arguments

`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

chemical potential [ J/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_chem_potential_water_ice.html

### See Also

Other things related to chemical potential: `gsw_chem_potential_water_t_exact`

### Examples

    t <- c(-10.7856, -13.4329, -12.8103, -12.2600,  -10.8863,  -8.4036)
    p <- c(      10,       50,      125,      250,      600,      1000)
    pot <- gsw_chem_potential_water_ice(t, p)
    expect_equal(pot/1e4, c(-1.340648365149857, -1.644921413491445, -1.480991678890353,
                          -1.272436055728805, -0.711509477199393, 0.045575390357792))

[Package gsw version 1.0-5 Index]